local jjframe = CreateFrame("Frame", nil, UIParent)
jjframe:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground", tile = true, tileSize = 16, edgeFile = "", edgeSize = 16, insets = {left = 0, right = 0, top = 0, bottom = 0},})
jjframe:ClearAllPoints()
jjframe:SetAllPoints(WorldFrame)
jjframe:SetBackdropColor(0, 0, 0, 1)
jjframe:SetFrameStrata("DIALOG")
jjframe:SetFrameLevel(10)
jjframe:Hide()
jjframe:RegisterEvent("PLAYER_CONTROL_LOST")
jjframe:RegisterEvent("PLAYER_CONTROL_GAINED")
jjframe:RegisterEvent("PLAYER_REGEN_ENABLED")
jjframe:SetScript("OnEvent", function()
	if (event == "PLAYER_CONTROL_LOST") then
		if InCombatLockdown() then
			this:Show()
		end
	elseif (event == "PLAYER_CONTROL_GAINED") then
		if InCombatLockdown() then
			this:Hide()
		end
	elseif (event == "PLAYER_REGEN_ENABLED") then
		this:Hide()
	end
end)
																				
local text = jjframe:CreateFontString(nil, "BACKGROUND")
text:SetFontObject(ZoneTextFont)
text:SetWidth(UIParent:GetWidth())
text:SetHeight(UIParent:GetHeight())
text:SetAllPoints(UIParent)
text:SetParent(jjframe)
text:SetText("Don't Panic")